Skip to main content
GET
/
v1
/
characters
List your characters
curl --request GET \
  --url https://api.alakazam.gg/v1/characters \
  --header 'Authorization: Bearer <token>'
{
  "characters": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slug": "<string>",
      "name": "<string>",
      "description": "<string>",
      "cover": "<string>",
      "voiceId": "<string>",
      "modelId": "<string>",
      "free": true,
      "greeting": "<string>",
      "intro": {},
      "stances": [
        {
          "id": "<string>",
          "label": "<string>",
          "mood": "<string>"
        }
      ],
      "persona": "<string>",
      "scene": "<string>",
      "lore": "<string>",
      "examples": "<string>",
      "schemaVersion": "1.0"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

An app API key, e.g. Authorization: Bearer sk_live_…. Secret (sk_) for writes/sessions; publishable (pk_) for read/embed.

Query Parameters

limit
integer
default:20
Required range: x <= 100
cursor
string

Response

A page of characters

characters
object[]
nextCursor
string | null